//
//  SCIFastFixedErrorBarsRenderableSeries.h
//  SciChart
//
//  Created by Mykola Hrybeniuk on 9/17/16.
//  Copyright © 2016 SciChart. All rights reserved.
//

#import <SciChart/SciChart.h>

typedef enum : NSUInteger {
    SCIErrorBarTypeAbsolute,
    SCIErrorBarTypeRelative,
} SCIErrorBarType;

typedef enum : NSUInteger {
    SCIErrorBarDirectionHorizontal,
    SCIErrorBarDirectionVertical,
} SCIErrorBarDirection;

typedef enum : NSUInteger {
    SCIErrorBarModeHigh,
    SCIErrorBarModeLow,
    SCIErrorBarModeBoth
} SCIErrorBarMode;

@class SCIErrorBarsSeriesStyle;

/**
 * @brief SCIFastFixedErrorBarsRenderableSeries class.
 * @discussion Provides properties for setting the parameters of the ErrorBars.
 */
@interface SCIFastFixedErrorBarsRenderableSeries : SCIRenderableSeriesBase

/*!
 @brief The SCIFastFixedErrorBarsRenderableSeries class' property.
 @discussion Gets or sets the SCIFastImpulseRenderableSeries Style property.
 */
@property (nonatomic, copy) SCIErrorBarsSeriesStyle * style;

@property (nonatomic) double errorHigh;
@property (nonatomic) double errorLow;
@property (nonatomic) double errorDataPointWidth;
@property (nonatomic) SCIErrorBarType errorType;
@property (nonatomic) SCIErrorBarDirection errorDirection;
@property (nonatomic) SCIErrorBarMode errorMode;

@end
