//
//  SCIImpulseSeriesStyle.h
//  SciChart
//
//  Created by Mykola Hrybeniuk on 9/15/16.
//  Copyright © 2016 SciChart. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SCICallbackBlock.h"
#import "SCIStyle.h"

@protocol SCIPen2D;
@protocol SCIPointMarker;
@class SCIPointMarkerClusterizer;

/*!
 * @brief The SCIImpulseSeriesStyle class.
 * @discussion Provides styling capabilities for SCIFastLineRenderableSeries within SciChart.
 */
@interface SCIImpulseSeriesStyle : NSObject <SCIStyle, NSCopying>

/*!
 * @brief The SCIImpulseSeriesStyle class' property.
 * @discussion Defines Line's Pen.
 */
@property (nonatomic, strong) id<SCIPen2D> linePen;

/*!
 * @brief The SCIImpulseSeriesStyle class' property.
 * @discussion Gets or sets a PointMarker property.
 */
@property (nonatomic, strong) id<SCIPointMarker> pointMarker;

/*!
 * @brief The SCILineSeriesStyle class' property.
 */
@property (nonatomic, strong) SCIPointMarkerClusterizer * cluster;

/*!
 * @brief The SCILineSeriesStyle class' property.
 */
@property (nonatomic) float clusterSpacing;

/*!
 * @brief The SCIImpulseSeriesStyle class' property.
 * @discussion Called whenever LineSeries style was changed.
 */
@property (nonatomic, copy) SCIActionBlock styleChanged;

@end
